# Update a workflow Updates a specific workflow by its ID, which allows you to configure the settings of a workflow via API. ### User Access Permission You must be assigned the Workflow Manage Access permission to run this operation. Endpoint: PATCH /workflows/{workflow_id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Path parameters: - `workflow_id` (string, required) The unique ID of a workflow definition. For example, 19080. ## Request fields (application/json): - `active_workflow_version_id` (integer) The id of a version. This version will then be set to the active version of the workflow definition. - `description` (string) The description of the workflow defintion Example: "Retrieve and update products" - `name` (string) The name of the workflow definition - `status` (string) Can be Active or Inactive. Active workfow definitions run like normal. Inactive workflow definitions cannot be run. ## Response 200 fields (application/json): - `active_version` (object) Information of the active version. - `active_version.description` (string) The description of the active version. - `active_version.id` (integer) The unique ID of the active version. - `active_version.status` (string) The status of the active version. - `active_version.type` (string) The type of the active version. Currently the only valid value is 'Workflow::Setup'. Enum: "Workflow::Setup", "Workflow::Instance" - `active_version.version` (string) The version number of the active version. - `calloutTrigger` (boolean) Indicates whether the callout trigger is enabled for the retrieved workflow. - `createdAt` (string) The date and time when the workflow is created, in the YYYY-MM-DD HH:MM:SS format. - `description` (string) The description of the workflow definition. - `id` (integer) The unique ID of the workflow definition. - `interval` (string) The schedule of the workflow, in a CRON expression. Returns null if the schedued trigger is disabled. - `name` (string) The name of the workflow definition. - `ondemandTrigger` (boolean) Indicates whether the ondemand trigger is enabled for the workflow. - `scheduledTrigger` (boolean) Indicates whether the scheduled trigger is enabled for the workflow. - `status` (string) The status of the workflow definition. - `timezone` (string) The timezone that is configured for the scheduler of the workflow. Returns null if the scheduled trigger is disabled. - `updatedAt` (string) The date and time when the workflow is updated the last time, in the YYYY-MM-DD HH:MM:SS format. ## Response 404 fields (application/json): - `Errors` (array) The error messages ## Response 422 fields (application/json): - `reasons` (array) The list of reasons that the request was unsuccessful - `reasons.fieldName` (string) The name of the invalid field - `reasons.title` (string) A description why that field is invalid - `success` (boolean) Returns false if the request was not successful.